public inbox for stable@vger.kernel.org
 help / color / mirror / Atom feed
From: Sasha Levin <sashal@kernel.org>
To: linux-kernel@vger.kernel.org, stable@vger.kernel.org
Cc: Ming Lei <ming.lei@redhat.com>,
	Uday Shankar <ushankar@purestorage.com>,
	Jens Axboe <axboe@kernel.dk>, Sasha Levin <sashal@kernel.org>,
	shuah@kernel.org, linux-block@vger.kernel.org,
	linux-kselftest@vger.kernel.org
Subject: [PATCH AUTOSEL 6.13 05/34] selftests: ublk: fix test_stripe_04
Date: Mon, 14 Apr 2025 09:26:59 -0400	[thread overview]
Message-ID: <20250414132729.679254-5-sashal@kernel.org> (raw)
In-Reply-To: <20250414132729.679254-1-sashal@kernel.org>

From: Ming Lei <ming.lei@redhat.com>

[ Upstream commit 72070e57b0a518ec8e562a2b68fdfc796ef5c040 ]

Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
added test entry of test_stripe_04, but forgot to add the test script.

So fix the test by adding the script file.

Reported-by: Uday Shankar <ushankar@purestorage.com>
Signed-off-by: Ming Lei <ming.lei@redhat.com>
Reviewed-by: Uday Shankar <ushankar@purestorage.com>
Link: https://lore.kernel.org/r/20250404001849.1443064-1-ming.lei@redhat.com
Signed-off-by: Jens Axboe <axboe@kernel.dk>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 .../testing/selftests/ublk/test_stripe_04.sh  | 24 +++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 tools/testing/selftests/ublk/test_stripe_04.sh

diff --git a/tools/testing/selftests/ublk/test_stripe_04.sh b/tools/testing/selftests/ublk/test_stripe_04.sh
new file mode 100755
index 0000000000000..1f2b642381d17
--- /dev/null
+++ b/tools/testing/selftests/ublk/test_stripe_04.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+. "$(cd "$(dirname "$0")" && pwd)"/test_common.sh
+
+TID="stripe_04"
+ERR_CODE=0
+
+_prep_test "stripe" "mkfs & mount & umount on zero copy"
+
+backfile_0=$(_create_backfile 256M)
+backfile_1=$(_create_backfile 256M)
+dev_id=$(_add_ublk_dev -t stripe -z -q 2 "$backfile_0" "$backfile_1")
+_check_add_dev $TID $? "$backfile_0" "$backfile_1"
+
+_mkfs_mount_test /dev/ublkb"${dev_id}"
+ERR_CODE=$?
+
+_cleanup_test "stripe"
+
+_remove_backfile "$backfile_0"
+_remove_backfile "$backfile_1"
+
+_show_result $TID $ERR_CODE
-- 
2.39.5


  parent reply	other threads:[~2025-04-14 13:27 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-14 13:26 [PATCH AUTOSEL 6.13 01/34] KVM: s390: Don't use %pK through tracepoints Sasha Levin
2025-04-14 13:26 ` [PATCH AUTOSEL 6.13 02/34] KVM: s390: Don't use %pK through debug printing Sasha Levin
2025-04-14 13:26 ` [PATCH AUTOSEL 6.13 03/34] udmabuf: fix a buf size overflow issue during udmabuf creation Sasha Levin
2025-04-14 13:26 ` [PATCH AUTOSEL 6.13 04/34] cgroup/cpuset: Don't allow creation of local partition over a remote one Sasha Levin
2025-04-14 13:26 ` Sasha Levin [this message]
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 06/34] perf/core: Fix WARN_ON(!ctx) in __free_event() for partial init Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 07/34] xen: Change xen-acpi-processor dom0 dependency Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 08/34] pwm: Let pwm_set_waveform() succeed even if lowlevel driver rounded up Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 09/34] pwm: axi-pwmgen: Let .round_waveform_tohw() signal when request was " Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 10/34] nvme: requeue namespace scan on missed AENs Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 11/34] ACPI: EC: Set ec_no_wakeup for Lenovo Go S Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 12/34] ACPI PPTT: Fix coding mistakes in a couple of sizeof() calls Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 13/34] drm/amdkfd: sriov doesn't support per queue reset Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 14/34] drm/amdgpu: Increase KIQ invalidate_tlbs timeout Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 15/34] drm/amdgpu: allow pinning DMA-bufs into VRAM if all importers can do P2P Sasha Levin
2025-04-14 13:48   ` [Linaro-mm-sig] " Alex Deucher
2025-04-27 23:59     ` Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 16/34] drm/xe/xe3lpg: Apply Wa_14022293748, Wa_22019794406 Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 17/34] nvme: re-read ANA log page after ns scan completes Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 18/34] nvme: multipath: fix return value of nvme_available_path Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 19/34] objtool: Stop UNRET validation on UD2 Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 20/34] gpiolib: of: Move Atmel HSMCI quirk up out of the regulator comment Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 21/34] x86/xen: disable CPU idle and frequency drivers for PVH dom0 Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 22/34] selftests/mincore: Allow read-ahead pages to reach the end of the file Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 23/34] x86/bugs: Use SBPB in write_ibpb() if applicable Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 24/34] x86/bugs: Don't fill RSB on VMEXIT with eIBRS+retpoline Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 25/34] x86/bugs: Don't fill RSB on context switch with eIBRS Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 26/34] nvmet-fc: take tgtport reference only once Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 27/34] nvmet-fc: put ref when assoc->del_work is already scheduled Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 28/34] net_sched: sch_sfq: use a temporary work area for validating configuration Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 29/34] cifs: Fix encoding of SMB1 Session Setup Kerberos Request in non-UNICODE mode Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 30/34] timekeeping: Add a lockdep override in tick_freeze() Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 31/34] cifs: Fix querying of WSL CHR and BLK reparse points over SMB1 Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 32/34] net: phy: move phy_link_change() prior to mdio_bus_phy_may_suspend() Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 33/34] iommu: Clear iommu-dma ops on cleanup Sasha Levin
2025-04-14 13:27 ` [PATCH AUTOSEL 6.13 34/34] ext4: make block validity check resistent to sb bh corruption Sasha Levin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20250414132729.679254-5-sashal@kernel.org \
    --to=sashal@kernel.org \
    --cc=axboe@kernel.dk \
    --cc=linux-block@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=ming.lei@redhat.com \
    --cc=shuah@kernel.org \
    --cc=stable@vger.kernel.org \
    --cc=ushankar@purestorage.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox